Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.singularsys.jep.parser
Interface JccParserConstants

All Known Implementing Classes:
  JccParser, JccParserTokenManager

    public interface JccParserConstants

Field Summary
`static int` | `AND`
`static int` | `ASSIGN`
`static int` | `COLON`
`static int` | `COMMA`
`static int` | `CROSS`
`static int` | `DECIMAL_LITERAL`
`static int` | `DEFAULT`
`static int` | `DIGIT1`
`static int` | `DIGIT2`
`static int` | `DIV`
`static int` | `DOT`
`static int` | `EOF`
`static int` | `EQ`
`static int` | `EXPONENT`
`static int` | `FLOATING_POINT_LITERAL`
`static int` | `GE`
`static int` | `GT`
`static int` | `INDENTIFIER1`
`static int` | `INDENTIFIER2`
`static int` | `INTEGER_LITERAL`
`static int` | `LE`
`static int` | `LETTER1`
`static int` | `LETTER2`
`static int` | `LRND`
`static int` | `LSQ`
`static int` | `LT`
`static int` | `MINUS`
`static int` | `MOD`
`static int` | `MUL`
`static int` | `NE`
`static int` | `NO_DOT_IN_IDENTIFIERS`
`static int` | `NOT`
`static int` | `OR`
`static int` | `PLUS`
`static int` | `POWER`
`static int` | `RRND`
`static int` | `RSQ`
`static int` | `SEMI`
`static int` | `STRING_LITERAL`
`static java.lang.String[]` | `tokenImage`

Field Detail

### EOF

    static final int EOF

See Also:
  Constant Field Values

### INTEGER_LITERAL

    static final int INTEGER_LITERAL

See Also:
  Constant Field Values

### DECIMAL_LITERAL

    static final int DECIMAL_LITERAL

See Also:
  Constant Field Values

### FLOATING_POINT_LITERAL

    static final int FLOATING_POINT_LITERAL

See Also:
  Constant Field Values

### EXPONENT

    static final int EXPONENT

See Also:
  Constant Field Values

### STRING_LITERAL

    static final int STRING_LITERAL

See Also:
  Constant Field Values

### INDENTIFIER1

    static final int INDENTIFIER1

See Also:
  Constant Field Values

### LETTER1

    static final int LETTER1

See Also:
  Constant Field Values

### DIGIT1

    static final int DIGIT1

See Also:
  Constant Field Values

### INDENTIFIER2

    static final int INDENTIFIER2

See Also:
  Constant Field Values

### LETTER2

    static final int LETTER2

See Also:
  Constant Field Values

### DIGIT2

    static final int DIGIT2

See Also:
  Constant Field Values

### ASSIGN

    static final int ASSIGN

See Also:
  Constant Field Values

### SEMI

    static final int SEMI

See Also:
  Constant Field Values

### COMMA

    static final int COMMA

See Also:
  Constant Field Values

### GT

    static final int GT

See Also:
  Constant Field Values

### LT

    static final int LT

See Also:
  Constant Field Values

### EQ

    static final int EQ

See Also:
  Constant Field Values

### LE

    static final int LE

See Also:
  Constant Field Values

### GE

    static final int GE

See Also:
  Constant Field Values

### NE

    static final int NE

See Also:
  Constant Field Values

### AND

    static final int AND

See Also:
  Constant Field Values

### OR

    static final int OR

See Also:
  Constant Field Values

### PLUS

    static final int PLUS

See Also:
  Constant Field Values

### MINUS

    static final int MINUS

See Also:
  Constant Field Values

### MUL

    static final int MUL

See Also:
  Constant Field Values

### DOT

    static final int DOT

See Also:
  Constant Field Values

### DIV

    static final int DIV

See Also:
  Constant Field Values

### MOD

    static final int MOD

See Also:
  Constant Field Values

### NOT

    static final int NOT

See Also:
  Constant Field Values

### POWER

    static final int POWER

See Also:
  Constant Field Values

### CROSS

    static final int CROSS

See Also:
  Constant Field Values

### LSQ

    static final int LSQ

See Also:
  Constant Field Values

### RSQ

    static final int RSQ

See Also:
  Constant Field Values

### LRND

    static final int LRND

See Also:
  Constant Field Values

### RRND

    static final int RRND

See Also:
  Constant Field Values

### COLON

    static final int COLON

See Also:
  Constant Field Values

### NO_DOT_IN_IDENTIFIERS

    static final int NO_DOT_IN_IDENTIFIERS

See Also:
  Constant Field Values

### DEFAULT

    static final int DEFAULT

See Also:
  Constant Field Values

### tokenImage

    static final java.lang.String[] tokenImage

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 Singular Systems http://www.singularsys.com/jep